// =======================================================================
// SICsMenuWidget.h
// CBP 08-06-22
// =======================================================================

#pragma once

#include "SlateBasics.h"
#include "SlateExtras.h"
#include "SParamLineWidget.h"
#include "MAS22_Structs.h"

class  SICsMenuWidget : public SCompoundWidget {

	public:

	SLATE_BEGIN_ARGS(SICsMenuWidget) {}

	SLATE_ARGUMENT(TWeakObjectPtr<class AMAS22_PlayerController>, OwningPlayerController)

	SLATE_ARGUMENT(FString, title)

	SLATE_END_ARGS()

	void Construct(const FArguments& InArgs);

	FReply OnPlayClicked();
	void SpinBoxChanged(float newVal);

	void SpinBoxID(int id);

	// PlayerController that created this widget
	TWeakObjectPtr<class AMAS22_PlayerController> OwningPlayerController;

	virtual bool SupportsKeyboardFocus() const override { return true; };

	TSharedRef<SWidget> makeParaLine(int id);

	//void SetParamsFromPlayerController(double* pArray);

	void PushICsToPlayerController();

	double* paramArray;

	TArray<modelParametersStruct>* pArray;

	int32 EntriesNum;

	void UpdateLine(int iden, float val);

private:
	int id;

};
