// =======================================================================
// SParamLineWidget.h
// CBP 16-05-22
// class for SparamMenuWidget parameter line
// Rev 19-05-22
// =======================================================================

#pragma once

#include "SlateBasics.h"
#include "SlateExtras.h"
#include "MAS22_PlayerController.h"

class  SParamLineWidget : public SCompoundWidget
{

public:

	SLATE_BEGIN_ARGS(SParamLineWidget) {}
	SLATE_ARGUMENT(TWeakObjectPtr<class AMAS22_PlayerController>, OwningPlayerController)
	SLATE_END_ARGS()

	void Construct(const FArguments& InArgs);

	void SpinBoxChanged(float newVal);

	void SetID(int id);
	void SetVal(double _val);

	int ID;
	double val;

	void SendParamToPlayerController();
	float GetUpdatedValue() const;

	void SetMenuWidget(SParamMenuWidget* menuWidget);
	class SParamMenuWidget* menuWidget;
};
